@echo off
echo 股票回测工具启动中...

REM 检查是否提供了参数
if "%~1"=="" (
    echo 错误: 请提供输入CSV文件路径
    echo 用法: run_backtest.bat 输入文件.csv 结束日期
    echo 例如: run_backtest.bat data\sample_portfolio.csv 2023-08-28
    exit /b 1
)

if "%~2"=="" (
    echo 错误: 请提供结束日期 (YYYY-MM-DD格式)
    echo 用法: run_backtest.bat 输入文件.csv 结束日期
    echo 例如: run_backtest.bat data\sample_portfolio.csv 2023-08-28
    exit /b 1
)

REM 运行Python脚本
python src\run_backtest.py --input "%~1" --end-date "%~2"

echo 回测结束! 